Bug 241575 - fatal errors from mount.smbfs leading to an stale mount point
Summary: fatal errors from mount.smbfs leading to an stale mount point
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Samba Maint Team
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-28 09:43 UTC by Arenas Belon, Carlo Marcelo
Modified: 2018-10-19 19:53 UTC (History)
3 users (show)

Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0698 normal SHIPPED_LIVE samba bug fix and enhancement update 2007-11-14 22:27:45 UTC
Samba Project 3327 None None None Never

Description Arenas Belon, Carlo Marcelo 2007-05-28 09:43:53 UTC
Description of problem:
after several read operations in an smbfs mountpoint apparently generate a
lockup as detailed in BUG 241545, the mount.smbfs process reports error
accessing its gencache.tdb table as shown by :

May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]: [2007/05/27 05:08:57, 0]
tdb/tdbutil.c:tdb_log(725) 
May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 21 ltype=0 (Bad file
descriptor) 
May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]: [2007/05/27 05:08:57, 0]
tdb/tdbutil.c:tdb_log(725) 
May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 21 ltype=1 (Bad file
descriptor) 
May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]: [2007/05/27 05:08:57, 0]
tdb/tdbutil.c:tdb_log(725) 
May 27 05:08:57 sbr-qse1-3 mount.smbfs[14537]:  
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 21 ltype=1 (Bad file
descriptor) 

Version-Release number of selected component (if applicable):
samba-client-3.0.10-1.4E.12.2

How reproducible:
always

Steps to Reproduce:
1. mount an smbfs share
2. read files on that share with several concurrent readers
3.
  
Actual results:
mount point is no longer reachable and access to it fails

Expected results:
mount point shouldn't be inaccessible and require manual intervention,
mount.smbfs should recover from failure nicely 

Additional info:
a bug with similar errors has been filed and fixed upstream as shown by the
corresponding linked bug, but the patch doesn't seem to be included in the
current samba package

Comment 1 Issue Tracker 2007-08-03 12:17:29 UTC
Hi,

I have applied the patch mentioned in the bugzilla 3327 and have rebuilt
the packages for the same. I was not able to re-produce the issue on my
test box.

I am attaching the test packages. Hope this helps.



Issue escalated to Support Engineering Group by: kaustubh.
kaustubh assigned to issue for Production Support (Pune).
Category set to: Applications::Bug Fix
Internal Status set to 'Waiting on SEG'
Status set to: Waiting on Tech

This event sent from IssueTracker by jnansi 
 issue 124802

Comment 8 errata-xmlrpc 2007-11-15 16:15:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html



Note You need to log in before you can comment on or make changes to this bug.